Subject: Re: bug#63399: 28.2; Documentation for yes-or-no-p wrong/different between docstring and lispref

From: Tim Landscheidt <[email-masked]>
Date: Wed, 10 May 2023 16:04:47 +0000

Eli Zaretskii <[email-masked]> wrote:

>> > But there's no difference if the prompt ends in a space.

>> Yes. It is just a convenience change, and there's code in the wild which
>> doesn't use a trailing space in the propmpt, when calling
>> yes-or-no-p. What would be wrong with my patch? I don't see that it
>> hurts.

> I'm sure something will come up.  It isn't an accident that we have
> danced around this more than once in the past.

> But if you insist, please install on master, and let's see whose gray
> hair is more right...

I support Michael's idea here.  I do not remember any case
where a prompt "Prompt?(yes or no) " was an intentional
choice by the author.  It looks "wrong".  (The GNU Coding
Standards recommend spaces before open-parentheses in C
code, but strictly speaking this does not relate to the UI.)